Get the current authenticated user
GET
/v1/users/mecurl -X GET 'https://api.embodiflow.io/v1/users/me' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
响应
Success
- dataobject必填
- userobject必填
- membershipsarray<MembershipSummaryDto>必填
- currentMembershipIdstring | null必填
- csrfTokenstring
- mustRotatePasswordone of
- mfaEnrollmentRequiredone of
- mfaEnrollmentGraceExpiresAtstring | null
- effectivePasswordPolicyone of
- tenantPermissionsarray<string>
响应示例
{
"data": {
"user": {
"id": "string",
"email": "string",
"displayName": "string",
"avatarUrl": "string",
"hasPassword": false,
"status": "string",
"lastLoginAt": "string",
"emailVerifiedAt": "string",
"handle": "string"
},
"memberships": [
{
"id": "string",
"tenantId": "string",
"tenant": {
"id": "string",
"slug": "string",
"name": "string",
"status": "string",
"storageKey": "string",
"handle": "string",
"ref": "string",
"url": "string"
},
"role": "string",
"status": "string",
"joinedAt": "string"
}
],
"currentMembershipId": "string",
"csrfToken": "string",
"mustRotatePassword": false,
"mfaEnrollmentRequired": false,
"mfaEnrollmentGraceExpiresAt": "string",
"effectivePasswordPolicy": {
"minLength": 8,
"maxLength": 128,
"requireCharacterClasses": false,
"allowPasswordManagerPaste": true,
"periodicRotation": false,
"profile": "default",
"breachedPasswordCheckEnabled": false
},
"tenantPermissions": "project:read"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1